Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I tried to install claws-mail; but got the response that follows. Please help me fix the error.

baranidaran@baranidaran-LIFEBOOK-AH502:~$ sudo apt-get install claws-mail
[sudo] password for baranidaran: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libstlport4.6ldbl thunderbird-globalmenu gwibber-service libgtkspell-3-0
  gir1.2-ubuntuoneui-3.0 libreoffice-emailmerge libgwibber-gtk2 libcmis-0.2-0
  libubuntuoneui-3.0-1 python-speechd gwibber-service-twitter liblouis2
  python-brlapi libgwibber2 python-louis gwibber-service-identica
  python-libproxy python-egenix-mxdatetime python-egenix-mxtools
  python-pyatspi2 gwibber-service-facebook liblouis-data gstreamer0.10-gnonlin
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  claws-mail-i18n
Suggested packages:
  claws-mail-doc claws-mail-tools
The following NEW packages will be installed:
  claws-mail claws-mail-i18n
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 3,523 kB of archives.
After this operation, 9,933 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://in.archive.ubuntu.com/ubuntu/ precise/universe claws-mail i386 3.8.0-1ubuntu1 [1,577 kB]
Get:2 http://in.archive.ubuntu.com/ubuntu/ precise/universe claws-mail-i18n all 3.8.0-1ubuntu1 [1,946 kB]                                      
64% [2 claws-mail-i18n 684 kB/1,946 kB 35%]                                                                                                    
64% [2 claws-mail-i18n 684 kB/1,946 kB 35%]
Get:3 http: //in.archive.ubuntu.com/ubuntu/precise/universe claws-mail-i18n all 3.8.0-1ubuntu1 [1,946 kB]
Fetched 2,838 kB in 11min 30s (4,110 B/s)                                                                                                      
Selecting previously unselected package claws-mail.
(Reading database ... 238749 files and directories currently installed.)
Unpacking claws-mail (from .../claws-mail_3.8.0-1ubuntu1_i386.deb) ...
Selecting previously unselected package claws-mail-i18n.
Unpacking claws-mail-i18n (from .../claws-mail-i18n_3.8.0-1ubuntu1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for gnome-menus ...
Processing triggers for hicolor-icon-theme ...
Setting up qmail (1.06-4) ...

The hostname -f command returned: $1

Your system needs to have a fully qualified domain name (fqdn) in
order to install the var-qmail packages.

Installation aborted.

dpkg: error processing qmail (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of qmail-run:
 qmail-run depends on qmail (>= 1.06-2.1); however:
  Package qmail is not configured yet.
dpkg: error processing qmail-run (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up claws-mail (3.8.0-1ubuntu1) ...
Setting up claws-mail-i18n (3.8.0-1ubuntu1) ...
Errors were encountered while processing:
 qmail
 qmail-run
E: Sub-process /usr/bin/dpkg returned an error code (1)
share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.